fields

## Class DataHeader

- java.lang.Object
- - fields.DataHeader

- All Implemented Interfaces:
    Field

      public class DataHeader
      extends java.lang.Object
      implements Field

  Model for the WM-Bus Data-Field header. Models short (4 B) or long (12 B) version.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Byte` | `accessNumber`
    `private java.lang.Byte` | `deviceType`
    `private DataHeaderType` | `headerType`
    `private java.lang.Byte[]` | `manId`
    `private java.lang.Byte[]` | `serial`
    `private java.lang.Byte[]` | `signature`
    `private java.lang.Byte` | `statusCodes`
    `private java.lang.Byte[]` | `verification`
    `private java.lang.Byte` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataHeader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Byte` | `getAccessNumber()`
    `java.util.List<java.lang.Byte>` | `getBytes()` Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, MSB first.
    `java.util.List<java.lang.Byte>` | `getBytesInTxOrder()` Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, LSB first.
    `java.lang.Byte` | `getDeviceType()`
    `DataHeaderType` | `getHeaderType()`
    `java.lang.Byte[]` | `getManId()`
    `java.lang.Byte[]` | `getSerial()`
    `java.lang.Byte[]` | `getSignature()`
    `java.lang.Byte` | `getStatusCodes()`
    `java.lang.Byte[]` | `getVerification()`
    `java.lang.Byte` | `getVersion()`
    `void` | `setAccessNumber(java.lang.Byte accessNumber)`
    `void` | `setAccessNumber(java.lang.String accessNumber)`
    `void` | `setDeviceType(java.lang.Byte deviceType)`
    `void` | `setHeaderType(DataHeaderType headerType)`
    `void` | `setManId(java.lang.Byte[] manId)`
    `void` | `setSerial(java.lang.Byte[] serial)`
    `void` | `setSignature(java.lang.Byte[] signature)`
    `void` | `setStatusCodes(java.lang.Byte statusCodes)`
    `void` | `setStatusCodes(java.lang.String statusCodes)`
    `void` | `setVerification(java.lang.Byte[] verification)`
    `void` | `setVersion(java.lang.Byte version)`
    `static boolean` | `validateAccessNumber(java.lang.String accessNumber)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### accessNumber

          private java.lang.Byte accessNumber

    - #### deviceType

          private java.lang.Byte deviceType

    - #### headerType

          private DataHeaderType headerType

    - #### manId

          private java.lang.Byte[] manId

    - #### serial

          private java.lang.Byte[] serial

    - #### signature

          private java.lang.Byte[] signature

    - #### statusCodes

          private java.lang.Byte statusCodes

    - #### verification

          private java.lang.Byte[] verification

    - #### version

          private java.lang.Byte version

  - ### Constructor Detail

    - #### DataHeader

          public DataHeader()

  - ### Method Detail

    - #### getAccessNumber

          public java.lang.Byte getAccessNumber()

    - #### getBytes

          public java.util.List<java.lang.Byte> getBytes()

      Description copied from interface: `Field`
      Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, MSB first.
      Specified by:
        `getBytes` in interface `Field`
      Returns:
        List of Bytes representing this field, MSB first

    - #### getBytesInTxOrder

          public java.util.List<java.lang.Byte> getBytesInTxOrder()

      Description copied from interface: `Field`
      Fetches all parts of the field and constructs it into a List of Bytes by WM-Bus standard, LSB first.
      Specified by:
        `getBytesInTxOrder` in interface `Field`
      Returns:
        List of Bytes representing this field, LSB first

    - #### getDeviceType

          public java.lang.Byte getDeviceType()

    - #### getHeaderType

          public DataHeaderType getHeaderType()

    - #### getManId

          public java.lang.Byte[] getManId()

    - #### getSerial

          public java.lang.Byte[] getSerial()

    - #### getSignature

          public java.lang.Byte[] getSignature()

    - #### getStatusCodes

          public java.lang.Byte getStatusCodes()

    - #### getVerification

          public java.lang.Byte[] getVerification()

    - #### getVersion

          public java.lang.Byte getVersion()

    - #### setAccessNumber

          public void setAccessNumber(java.lang.Byte accessNumber)

    - #### setAccessNumber

          public void setAccessNumber(java.lang.String accessNumber)

    - #### setDeviceType

          public void setDeviceType(java.lang.Byte deviceType)

    - #### setHeaderType

          public void setHeaderType(DataHeaderType headerType)

    - #### setManId

          public void setManId(java.lang.Byte[] manId)

    - #### setSerial

          public void setSerial(java.lang.Byte[] serial)

    - #### setSignature

          public void setSignature(java.lang.Byte[] signature)

    - #### setStatusCodes

          public void setStatusCodes(java.lang.Byte statusCodes)

    - #### setStatusCodes

          public void setStatusCodes(java.lang.String statusCodes)

    - #### setVerification

          public void setVerification(java.lang.Byte[] verification)

    - #### setVersion

          public void setVersion(java.lang.Byte version)

    - #### validateAccessNumber

          public static boolean validateAccessNumber(java.lang.String accessNumber)